org.apache.poi.xssf.usermodel

## Class XSSFFirstHeader

- java.lang.Object
- - org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
  - - org.apache.poi.xssf.usermodel.XSSFFirstHeader

- All Implemented Interfaces:
    Header, HeaderFooter

      public class XSSFFirstHeader
      extends XSSFHeaderFooter
      implements Header

  First page header content. Corresponds to first printed page. The first logical page in the sheet may not be printed, for example, if the print area is specified to be a range such that it falls outside the first page's scope.

  The first page header is activated by the "Different First" Header/Footer property for the sheet. If this property is not set, the first page header is ignored.

  Creating a first page header or footer sets this property by default, so all you need to do to get an first page header or footer to display is to create one. Likewise, if both the first page header and footer are usnset, then this property is unset, and the first page header and footer are ignored.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFFirstHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)` Create an instance of XSSFFirstHeader from the supplied XML bean

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Get the content text representing this header
    `void` | `setText(java.lang.String text)` Set a text for the header.

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter

      `areFieldsStripped, getCenter, getHeaderFooter, getLeft, getRight, getValue, setAreFieldsStripped, setCenter, setLeft, setRight, stripFields`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Header

      `getCenter, getLeft, getRight, setCenter, setLeft, setRight`

- - ### Constructor Detail

    - #### XSSFFirstHeader

          protected XSSFFirstHeader(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)

      Create an instance of XSSFFirstHeader from the supplied XML bean
      Parameters:
        `headerFooter` -
      See Also:
        `XSSFSheet.getFirstHeader()`

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Get the content text representing this header
      Specified by:
        `getText` in class `XSSFHeaderFooter`
      Returns:
        text

    - #### setText

          public void setText(java.lang.String text)

      Set a text for the header. If null unset the value. If unsetting this header results in no First Header, or footer for the sheet, the 'differentFirst' property is unset as well.
      Specified by:
        `setText` in class `XSSFHeaderFooter`
      Parameters:
        `text` - - a string representing the header.
      See Also:
        `to see how to create a string with Header/Footer Formatting Syntax`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.